curl --request GET \
--url https://api.dfns.io/payouts/{payoutId} \
--header 'Authorization: Bearer <token>'{
"id": "pyt-4ihii-9lonb-tmhjo9bor4odmb5h",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"fiatCurrency": "<string>",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"network": "Algorand",
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"verified": true
}
},
"status": "Processing",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"dateCreated": "2023-04-14T20:41:28.715Z",
"provider": "Borderless",
"data": {
"borderlessAccountId": "<string>",
"paymentInstructionsId": "<string>",
"paymentPurpose": "salary payment",
"executionStatus": "Initializing",
"country": "<string>",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"dateCanceled": "2023-04-14T20:41:28.715Z",
"statusReason": "<string>",
"borderlessPayoutId": "<string>",
"depositAddress": "<string>",
"transferId": "<string>",
"transactionHash": "<string>",
"dateDepositConfirmed": "2023-04-14T20:41:28.715Z",
"datePayoutConfirmed": "2023-04-14T20:41:28.715Z"
},
"externalId": "<string>",
"dateFinalized": "2023-04-14T20:41:28.715Z"
}Retrieve the current status of a payout by its ID.
curl --request GET \
--url https://api.dfns.io/payouts/{payoutId} \
--header 'Authorization: Bearer <token>'{
"id": "pyt-4ihii-9lonb-tmhjo9bor4odmb5h",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"fiatCurrency": "<string>",
"asset": {
"kind": "Erc20",
"amount": "<string>",
"contract": "<string>",
"network": "Algorand",
"metadata": {
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"verified": true
}
},
"status": "Processing",
"requester": {
"userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
"tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
},
"dateCreated": "2023-04-14T20:41:28.715Z",
"provider": "Borderless",
"data": {
"borderlessAccountId": "<string>",
"paymentInstructionsId": "<string>",
"paymentPurpose": "salary payment",
"executionStatus": "Initializing",
"country": "<string>",
"dateConfirmed": "2023-04-14T20:41:28.715Z",
"dateCanceled": "2023-04-14T20:41:28.715Z",
"statusReason": "<string>",
"borderlessPayoutId": "<string>",
"depositAddress": "<string>",
"transferId": "<string>",
"transactionHash": "<string>",
"dateDepositConfirmed": "2023-04-14T20:41:28.715Z",
"datePayoutConfirmed": "2023-04-14T20:41:28.715Z"
},
"externalId": "<string>",
"dateFinalized": "2023-04-14T20:41:28.715Z"
}CustomerEmployee)EndUser)Payouts:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Payout id.
1 - 64Success
Payout id.
1 - 64^pyt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"pyt-4ihii-9lonb-tmhjo9bor4odmb5h"
The wallet ID used for the payout.
1 - 64^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"wa-5pfuu-9euek-h0odgb6snva8ph3k"
ISO-4217 fiat currency code for the payout.
The asset being paid out, including token descriptor and metadata.
Show child attributes
The current status of the payout.
Processing, Completed, Failed, Rejected, Expired, Canceled The user/token that initiated the payout.
Show child attributes
Borderless Borderless provider-specific payout data.
Show child attributes
Optional external identifier for idempotency.
Was this page helpful?